robotpkg/wip/talos-robot bulk build results

Log for talos-robot-1.0.51 on Ubuntu-18.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for talos-robot-1.0.51 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-18.04-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-18.04-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for talos-robot-1.0.51 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-2.2.4 found => Required system package gzip: gzip-1.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.7: pkgrepo2deb-1.7 found ===> Done bootstrap-depends for talos-robot-1.0.51 ===> Installing full dependencies for talos-robot-1.0.51 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-18.04-x86_64/All/head-action-0.0.1r4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-18.04-x86_64/All/tf-lookup-0.0.1r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for talos-robot-1.0.51 => Building with no option. ===> Checking alternatives for talos-robot-1.0.51 => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.9 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy ros>=hydro provided by ros-melodic ===> Checking dependencies for talos-robot-1.0.51 => Required system package boost-headers>=1.34.1: boost-headers-1.65.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.65.1 found => Required system package cmake>=2.8.3: cmake-3.10.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.4 found => Required system package g++>=4.8: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.29.1 found => Required system package py27-catkin-pkg>=0.2: py27-catkin-pkg-0.4.15 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package py27-pyparsing>=1: py27-pyparsing-2.2.0 found => Required system package python27>=2.7<2.8: python27-2.7.17 found => Required system package ros-actionlib>=1.11<1.13: ros-actionlib-1.12.0 found => Required system package py27-ros-catkin>=0.7<0.8: py27-ros-catkin-0.7.19 found => Required system package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required system package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required system package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.7 found => Required system package ros-control-toolbox>=1.16<1.18: ros-control-toolbox-1.17.0 found => Required system package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.12 found => Required system package ros-genpy>=0.6<0.7: ros-genpy-0.6.9 found => Required system package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required system package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required system package ros-ros>=1.14<1.15: ros-ros-1.14.7 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.12 found => Required robotpkg package head-action>=0.0.1: head-action-0.0.1r4 found => Required robotpkg package tf-lookup>=0.0.1: tf-lookup-0.0.1r1 found ===> Done depends for talos-robot-1.0.51 ===> Extracting for talos-robot-1.0.51 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for talos-robot-1.0.51 ===> Building for talos-robot-1.0.51 ===> Installing for talos-robot-1.0.51 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for talos-robot-1.0.51 Added head-action-0.0.1r4 to the requirements of talos-robot-1.0.51 Added tf-lookup-0.0.1r1 to the requirements of talos-robot-1.0.51 ===> Done install for talos-robot-1.0.51 ===> Building binary package for talos-robot-1.0.51 Creating package /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-18.04-x86_64/All/talos-robot-1.0.51 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-18.04-x86_64/pub => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-18.04-x86_64/pal => Updating debian binary packages dpkg-deb: building package 'robotpkg-talos-robot' in '/local/robotpkg/var/tmp/robotpkg/wip/talos-robot/work/pkg2deb.26092/robotpkg-talos-robot_1.0.51_amd64.deb'. updated /opt/robotpkg/var/lib/robotpkg/wip/packages/debian/pub/dists/bionic/robotpkg/binary-amd64/robotpkg-talos-robot_1.0.51_amd64.deb dpkg-deb: building package 'robotpkg-talos-robot' in '/local/robotpkg/var/tmp/robotpkg/wip/talos-robot/work/pkg2deb.27132/robotpkg-talos-robot_1.0.51_amd64.deb'. updated /opt/robotpkg/var/lib/robotpkg/wip/packages/debian/pal/dists/bionic/robotpkg/binary-amd64/robotpkg-talos-robot_1.0.51_amd64.deb ===> Deinstalling for talos-robot Removing dependency head-action-0.0.1r4 Removing dependency tf-lookup-0.0.1r1 Removing dependency Removed talos-robot-1.0.51 Removed digest-20080510 Removed tnftp-20130505~ssl